Skip to content

Update dependents

POST
/api/v2.0/stores/{storeId}/members/{memberId}/dependents
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/dependents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[ { "id": 1, "name": "example", "birthdate": "example", "gender": "Male" } ]'

Atomically add, update, or delete dependent objects. The dependent collection should represent all members’ dependents. To add a new dependent, set the id field to 0. To update a dependent, send the entire dependent object. To delete a dependent, remove it from the list.

storeId
required
string

The Store Id

Example
your-store-id
memberId
required
string

The Member Id

Example
m_nsr714RRBEHX

A collection of dependents

Array<object>
object
id

The id of the dependant

integer format: int32
name

The name of the dependent. It cannot be empty or greater than 50 characters long

string
nullable
birthdate

The birthdate of the dependent is defined in the format yyyy-MM-dd. The date must be valid.If the day or month is unknown, use 1 instead.

string
nullable
gender

Valid options: Male - Female - NotShared - When the member didn’t want to share their gender NonBinary - When a member does not fit into the categories of ‘man’ or ‘woman’

string
Allowed values: Male Female NotShared NonBinary

No Content

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}